Subject: Re: GCD005: Regular and efficient releases

From: Andreas Enge <[email-masked]>
Date: Tue, 13 May 2025 15:11:49 +0200

Hello Greg,

I am having some trouble following your argumentation; in the beginning
of your different postings I got the impression that you did not see
a need for releases, since one could always do a "guix pull". But then
you end with:

Am Mon, May 12, 2025 at 01:11:15PM -0400 schrieb Greg Hogan:
> I think we should release more often (multiple times per year)

So I am definitely not getting your point! With the goal of moving forward,
could you try to reformulate your ideas? Are there concrete points we could
improve in the GCD, or do you think it should simply be dropped as not
relevant to the real problem? If we missed it, what is the real problem?

As to automation, I made a few arguments in my reply to Ekaitz, so I will
not repeat them here.

Andreas